uninstall python

Sekcia: Aplikácie & Desktop 16.11 | 13:32
Avatar Balin50 Debian  Používateľ

dobrý deň nainštaloval som Python 3.8.5 z tarball na debian 10.

príkaz sudo apt-get purge python3.8.5

Načítavajú sa zoznamy balíkov... Hotovo Vytvára sa strom závislostí Načítavajú sa stavové informácie... Hotovo E: Nedá sa nájsť balík python3.8.5 E: Couldn't find any package by glob 'python3.8.5' E: Nebol nájdený žiaden balík zodpovedajúci regulárnemu výrazu „python3.8.5“

ako sa dá odinštalovať daný balík? Ďakujem

    • RE: uninstall python 16.11 | 13:43
      Avatar Pavel Q4OS Centaurus  Administrátor

      Príkazom sudo apt purge odinštaluješ len *deb balíky, ktoré si nahodil cez apt (Synaptic) alebo ručne nainštaloval z *deb balíka (gdebi, dpkg). Ak si ho nahadzoval z archívu (napr tar.gz) skús pohľadať info tam, skadiaľ si ho sťahoval. Prípadne by som skúsil rozbaliť daný archív, možno by to pomohlo.

    • RE: uninstall python 16.11 | 14:06
      Avatar Branislav Poldauf Manjaro, Debian stable  Používateľ

      si si istý že si ho nainštaloval ? si ho kompiloval ? ak hej tak prikaz " make uninstall" majú niektoréré programy zabudovaný (musíš spustiť na rovnakom mieste a postupom ako si púšťal "make install")

      či to má nejaký inštalačná script ? nie je tam náhodou aj uninstall script ?

      a prečo ho vlastne potrebuješ odinštalovať ?

      Linux: the operating system with a CLUE... Command Line User Environment
      • RE: uninstall python 16.11 | 14:21
        Avatar Balin50 Debian  Používateľ

        nenašiel som Python-3.8.5# make uninstall make: *** No rule to make target 'uninstall'. Stop.

    • RE: uninstall python 16.11 | 14:07
      Avatar Balin50 Debian  Používateľ

      stiahol som z https://www.python.org/downloads/ Python-3.8.5.tgz a postupoval podľa návodu ./configure make make test sudo make install

      problém je, že mi prestal fungovať program na generovanie máp chyba: ModuleNotFoundError: No module named 'osmium' tak som skúsil pip3 install osmium pyclipper geojson

      a chyba WARNING: pip is configured with locations that require TLS/SSL, however the ssl module in Python is not available. WARNING: Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.")': /simple/osmium/ WARNING: Retrying (Retry(total=3, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.")': /simple/osmium/ WARNING: Retrying (Retry(total=2, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.")': /simple/osmium/ WARNING: Retrying (Retry(total=1, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.")': /simple/osmium/ WARNING: Retrying (Retry(total=0, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.")': /simple/osmium/ Could not fetch URL https://pypi.org/simple/osmium/: There was a problem confirming the ssl certificate: HTTPSConnectionPool(host='pypi.org', port=443): Max retries exceeded with url: /simple/osmium/ (Caused by SSLError("Can't connect to HTTPS URL because the SSL module is not available.")) - skipping ERROR: Could not find a version that satisfies the requirement osmium (from versions: none) ERROR: No matching distribution found for osmium WARNING: pip is configured with locations that require TLS/SSL, however the ssl module in Python is not available. Could not fetch URL https://pypi.org/simple/pip/: There was a problem confirming the ssl certificate: HTTPSConnectionPool(host='pypi.org', port=443): Max retries exceeded with url: /simple/pip/ (Caused by SSLError("Can't connect to HTTPS URL because the SSL module is not available.")) - skipping

      pri verzii python 3.7.3-1 funkčné ale tu nie. problém je, že pri tejto verzii je program funkčný ale len pri malých oblastiach. Vyžadovaná verzia pythonu je 3.8.5

      • RE: uninstall python 16.11 | 16:23
        Avatar Pavel Q4OS Centaurus  Administrátor

        Skús nájsť adresár python3.8 alebo niečo podobné, či tam nie je niečo ako uninstall. Inak pri takýchto experimentoch odporúčam Timeshift, vytvárať si zálohy a až potom robiť pokusy.

    • RE: uninstall python 16.11 | 16:23
      Avatar Balin50 Debian  Používateľ

      našiel som návod na https://linuxize.com/post/how-to-install-python-3-8-on-debian-10/ podarilo sa a je to funkčné

      ďakujem

      • RE: uninstall python 16.11 | 16:28
        Avatar Pavel Q4OS Centaurus  Administrátor

        Ak je to OK tak daj Vyriešené :-)